Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.cmd
Class CmdLoadLogger

    java.lang.Object
      info.bioinfweb.treegraph.document.io.log.AbstractLoadLogger
          info.bioinfweb.treegraph.cmd.CmdLoadLogger

All Implemented Interfaces:
  LoadLogger

    public class CmdLoadLogger

extends AbstractLoadLogger
implements LoadLogger

Displays the messages of a `DocumentReader` class on the command line. It is implemented as a singleton.

Since:
  2.0.42
Author:
  Ben Stöver

Field Summary
`private static CmdLoadLogger` | `firstInstace`
`static String` | `WARNING_PREFIX`

Constructor Summary
`protected` | `CmdLoadLogger()`

Method Summary
`void` | `addMessage(LoggerMessage message)` Outputs a usual message to the user.
`static CmdLoadLogger` | `getInstance()`

Methods inherited from class info.bioinfweb.treegraph.document.io.log.AbstractLoadLogger
`addMessage, addMessage, addWarning, addWarning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.io.log.LoadLogger
`addMessage, addMessage, addWarning, addWarning`

Field Detail

### WARNING_PREFIX

    public static final String WARNING_PREFIX

See Also:
  Constant Field Values

### firstInstace

    private static CmdLoadLogger firstInstace

Constructor Detail

### CmdLoadLogger

    protected CmdLoadLogger()

Method Detail

### getInstance

    public static CmdLoadLogger getInstance()

### addMessage

    public void addMessage(LoggerMessage message)

  Description copied from interface: `LoadLogger`
  Outputs a usual message to the user.

  Specified by:
    `addMessage` in interface `LoadLogger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD